%define srcname pyjournalctl

Name:           python-journalctl
Version:        0.7.0
Release:        %mkrel 11
Summary:        A python module that reads systemd journald similar to journalctl
License:        GPLv2
Group:          Development/Python
Source0:        https://pypi.python.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz
Patch0:         pyjournalctl-0.7.0-systemd-216.patch
Url:            https://github.com/kwirk/pyjournalctl
BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools
BuildRequires:  systemd-devel

%description
A python module that reads systemd journald similar to journalctl

%package -n python3-journalctl
Summary:        Python 3 module that reads systemd journald similar to journalctl
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools

%description -n python3-journalctl
A Python 3 module that reads systemd journald similar to journalctl.

%prep
%setup -q -n %{srcname}-%{version}
%autopatch -p1
cp -a . %{py3dir} 

%build
CFLAGS="%{optflags}" %{__python} setup.py build

pushd %{py3dir} 
CFLAGS="%{optflags}" %{__python3} setup.py build
popd

%install
pushd %{py3dir} 
%{__python3} setup.py install --root %{buildroot} --skip-build 
popd

%{__python} setup.py install --root %{buildroot} --skip-build 


%files
%doc README.rst
%{python_sitearch}/*

%files -n python3-journalctl
%doc README.rst
%{python3_sitearch}/*


%changelog
* Fri Feb 12 2016 umeabot <umeabot> 0.7.0-11.mga6
+ Revision: 958616
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 0.7.0-10.mga6
+ Revision: 888805
- rebuild for python 3.5
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.7.0-8.mga5
+ Revision: 744838
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.7.0-7.mga5
+ Revision: 728832
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.7.0-6.mga5
+ Revision: 688096
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 colin <colin> 0.7.0-5.mga5
+ Revision: 672083
- Fix build with latest systemd
- Rebuild for new systemd

* Sat May 31 2014 pterjan <pterjan> 0.7.0-4.mga5
+ Revision: 628722
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.7.0-3.mga4
+ Revision: 543574
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.7.0-2.mga4
+ Revision: 498777
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Sep 02 2013 philippem <philippem> 0.7.0-1.mga4
+ Revision: 474431
- update to 0.7.0, add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 0.4.0-2.mga3
+ Revision: 379030
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 colin <colin> 0.4.0-1.mga3
+ Revision: 322779
- Add systemd-devel as a Build Requirement
- imported package python-journalctl (mostly by Angelo Naselli)

